TemplateTNT::Vector class Reference

Main Page Namespace List Compound List File List Namespace Members Compound Members File Members

# TNT::Vector Class Template Reference

`#include <tnt_vec.h>`

List of all members.

## Public Types
typedef Subscript | size_type
typedef T | value_type
typedef T | element_type
typedef T* | pointer
typedef T* | iterator
typedef T& | reference
typedef const T* | const_iterator
typedef const T& | const_reference
## Public Methods
Subscript | lbound () const
iterator | begin ()
iterator | end ()
const iterator | begin () const
const iterator | end () const
| ~Vector ()
| Vector ()
| Vector (const Vector< T > &A)

## Detailed Description

### template<class T> class TNT::Vector

[Deprecatred] Value-based vector class from pre-1.0 TNT version. Kept here for backward compatiblity, but should use the newer TNT::Array1D classes instead.

## Member Typedef Documentation

template<class T>
typedef const T * TNT::Vector<T>::const_iterator

template<class T>
typedef const T & TNT::Vector<T>::const_reference

template<class T>
typedef T TNT::Vector<T>::element_type

template<class T>
typedef T * TNT::Vector<T>::iterator

template<class T>
typedef T * TNT::Vector<T>::pointer

template<class T>
typedef T & TNT::Vector<T>::reference

template<class T>
typedef Subscript TNT::Vector<T>::size_type

template<class T>
typedef T TNT::Vector<T>::value_type

## Constructor & Destructor Documentation

template<class T>
TNT::Vector<T>::~Vector<T> ( | )

template<class T>
TNT::Vector<T>::Vector<T> ( | )

template<class T>
TNT::Vector<T>::Vector<T> ( | const Vector< T > & A )

## Member Function Documentation

template<class T>
const iterator TNT::Vector<T>::begin ( | ) const`[inline]`

template<class T>
iterator TNT::Vector<T>::begin ( | )`[inline]`

template<class T>
const iterator TNT::Vector<T>::end ( | ) const`[inline]`

template<class T>
iterator TNT::Vector<T>::end ( | )`[inline]`

template<class T>
Subscript TNT::Vector<T>::lbound ( | ) const`[inline]`

The documentation for this class was generated from the following file:

- tnt_vec.h